package com.ruoyi.project.plant.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.plant.domain.TMtActionlist;

/**
 * 装置会议执行Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-30
 */
public interface TMtActionlistMapper
{
    /**
     * 查询装置会议执行
     *
     * @param id 装置会议执行ID
     * @return 装置会议执行
     */
    public TMtActionlist selectTMtActionlistById(Long id);

    /**
     * 查询装置会议执行列表
     *
     * @param tMtActionlist 装置会议执行
     * @return 装置会议执行集合
     */

    public List<TMtActionlist> selectTMtActionlistList(TMtActionlist tMtActionlist);

    /**
     * 查询装置会议执行列表
     *
     * @param tMtActionlist 装置会议执行
     * @return 装置会议执行集合
     */
    public List<TMtActionlist> selectList(TMtActionlist tMtActionlist);

    /**
     * 新增装置会议执行
     *
     * @param tMtActionlist 装置会议执行
     * @return 结果
     */
    public int insertTMtActionlist(TMtActionlist tMtActionlist);

    /**
     * 修改装置会议执行
     *
     * @param tMtActionlist 装置会议执行
     * @return 结果
     */
    public int updateTMtActionlist(TMtActionlist tMtActionlist);

    /**
     * 删除装置会议执行
     *
     * @param id 装置会议执行ID
     * @return 结果
     */
    public int deleteTMtActionlistById(Long id);

    /**
     * 批量删除装置会议执行
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtActionlistByIds(Long[] ids);

    List<DataEntity> selectAcitonStatusData(Map param);
}
